summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorjak1 <mike.wollmann@gmail.com>2020-12-20 18:09:58 +0100
committerjak1 <mike.wollmann@gmail.com>2020-12-20 18:09:58 +0100
commit1d5614958a67693f09a293728c61671129378968 (patch)
tree3b38d09ecca848b51bfb98a3e3ef62fb5a901b40 /build.sh
downloaddocker-windows-builder-1d5614958a67693f09a293728c61671129378968.tar.gz
docker-windows-builder-1d5614958a67693f09a293728c61671129378968.tar.bz2
docker-windows-builder-1d5614958a67693f09a293728c61671129378968.tar.xz
docker-windows-builder-1d5614958a67693f09a293728c61671129378968.zip
first push *hides*
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh69
1 files changed, 69 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100755
index 0000000..2f20b66
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,69 @@
+#!/usr/bin/env bash
+export CROSS=i686-w64-mingw32.shared
+cross_req="cc smpeg ffmpeg sdl sdl_image sdl_ttf sdl_net sdl_gfx libxml2 curl libpng zlib gettext sdl_mixer"
+
+
+inf()
+{
+ echo "*** sys-info *** >---------------------------------------------------"
+ uname -a
+ echo "req. gcc: `which gcc`"
+ echo "req. g++: `which g++`"
+ echo "req. python: `which python`"
+ echo "req. autoconf: `which autoconf`"
+ echo "req. automake: `which automake`"
+ echo "req. autopoint: `which autopoint`"
+ echo "req. bash: `which bash`"
+ echo "req. bison: `which bison`"
+ echo "req. bzip2: `which bzip2`"
+ echo "req. flex: `which flex`"
+ echo "req. gettext: `which gettext`"
+ echo "req. git: `which git`"
+ echo "req. gperf: `which gperf`"
+ echo "req. intltool: `which intltoolize`"
+ echo "req. libtool-bin: `which libtool`"
+ echo "req. lzip: `which lzip`"
+ echo "req. make: `which make`"
+ echo "req. openssl: `which openssl`"
+ echo "req. p7zip-full: `which p7zip`"
+ echo "req. patch: `which patch`"
+ echo "req. perl: `which perl`"
+ echo "req. ruby: `which ruby`"
+ echo "req. sed: `which sed`"
+ echo "req. unzip: `which unzip`"
+ echo "req. wget: `which wget`"
+ echo "req. xz-utils: `which lzma`"
+ echo "*** sys-info *** <---------------------------------------------------"
+}
+
+mxe()
+{
+ echo "*** mxe-build >------------------------------------------------------"
+ cd /
+ git clone https://github.com/mxe/mxe.git
+ cd mxe
+
+ echo "MXE_TARGETS := ${CROSS}" > settings.mk
+ echo "LOCAL_PKG_LIST := ${cross_req}" >> settings.mk
+ echo ".DEFAULT_GOAL := local-pkg-list" >> settings.mk
+ echo 'local-pkg-list: $(LOCAL_PKG_LIST)' >> settings.mk
+
+ git apply ../mxe.patch || exit 1
+
+ make || exit 1
+ make clean-junk || exit 1 # disc space!
+ echo "*** mxe-build <------------------------------------------------------"
+}
+
+
+test_mxe()
+{
+ export PATH=/mxe/usr/bin:/mxe/usr/${CROSS}/bin:$PATH
+ echo `${CROSS}-gcc --version`
+ echo `${CROSS}-g++ --version`
+ echo "${PATH}"
+}
+
+inf
+mxe
+test_mxe